<?php

function diff_string( $old, $new )
{
	$old = explode( "\n", $old );
	$new = explode( "\n", $new );
	$_m  = array_unshift( $old, '' );
	$_n  = array_unshift( $new, '' );

	if ( $r = ( $_n < $_m ) ) {
		$m  = $_n;
		$n  = $_m;
		$aA = $new;
		$aB = $old;
	}
	else {
		$m  = $_m;
		$n  = $_n;
		$aA = $old;
		$aB = $new;
	}
	$d =  $n - $m;
	$q =  $n + 1;
	$p = -$m - 2;

	$pa[-1] = array();
	while ( ++$p <= $q ) {
		$fp[$p] = -1;
	}
	unset( $old, $new, $_m, $_n, $q );

	for ( $p = 0;; ++$p ) {
		$k = -$p;
		while ( $k < $d ) {
			if ( $fp[$k - 1] >= $fp[$k + 1] ) {
				$pa[$k] = $pa[$k - 1];
				$x = ( $y = $fp[$k - 1] + 1 ) - $k;
			}
			else {
				$pa[$k] = $pa[$k + 1];
				$x = ( $y = $fp[$k + 1] ) - $k;
			}
			while ( $x + 1 < $m && $y + 1 < $n && $aA[$x + 1] === $aB[$y + 1] ) {
				$pa[$k][] = array( ++$x, ++$y );
			}
			$fp[$k++] = $y;
		}
		$k = $d + $p;
		$q = $d + 1;
		while ( $k >= $q ) {
			if ( $fp[$k - 1] >= $fp[$k + 1] ) {
				$pa[$k] = $pa[$k - 1];
				$x = ( $y = $fp[$k - 1] + 1 ) - $k;
			}
			else {
				$pa[$k] = $pa[$k + 1];
				$x = ( $y = $fp[$k + 1] ) - $k;
			}
			while ( $x + 1 < $m && $y + 1 < $n && $aA[$x + 1] === $aB[$y + 1] ) {
				$pa[$k][] = array( ++$x, ++$y );
			}
			$fp[$k--] = $y;
		}
		if ( $fp[$d - 1] >= $fp[$d + 1] ) {
			$pa[$d] = $pa[$d - 1];
			$x = ( $y = $fp[$d - 1] + 1 ) - $d;
		}
		else {
			$pa[$d] = $pa[$d + 1];
			$x = ( $y = $fp[$d + 1] ) - $d;
		}
		while ( $x + 1 < $m && $y + 1 < $n && $aA[$x + 1] === $aB[$y + 1] ) {
			$pa[$d][] = array( ++$x, ++$y );
		}
		if ( $y >= $n ) {
			break;
		}
		$fp[$d] = $y;
	}
	$pos =& $pa[$d];
	$pos[] = array( $m, $n );

	unset( $pa, $fp, $p, $k, $d, $q );

	$x = $y = 1;
	$s = '';
	if ( $r ) {
		foreach ( $pos as $p ) {
			while ( $p[1] > $x ) {
				$s .= '< ' . $aB[$x++] . "\n";
			}
			while ( $p[0] > $y ) {
				$s .= '> ' . $aA[$y++] . "\n";
			}
			if ( $x < $n ) {
				$s .= '  ' . $aB[$x] . "\n";
			}
			++$x;
			++$y;
		}
	}
	else {
		foreach ( $pos as $p ) {
			while ( $p[0] > $x ) {
				$s .= '< ' . $aA[$x++] . "\n";
			}
			while ( $p[1] > $y ) {
				$s .= '> ' . $aB[$y++] . "\n";
			}
			if ( $x < $m ) {
				$s .= '  ' . $aA[$x] . "\n";
			}
			++$x;
			++$y;
		}
	}
	return $s;
}

?>
