<?php

class DataWriter_File
{
	var $datadir;
	var $datafile;

	function DataWriter_File( $datadir, $file )
	{
		$this->datadir  = $datadir;
		$this->datafile = $datadir . $file;
	}

	function delete()
	{
		if ( ! is_writable( $this->datafile ) ) {
			return FALSE;
		}
		return @unlink( $this->datafile );
	}

	function move( $encode_uri )
	{
		if ( ! is_writable( $this->datafile ) ) {
			return FALSE;
		}
		return rename( $this->datafile, $this->datadir . $encode_uri );
	}
	function load()
	{
		return loadConfig( $this->datafile );
	}

	function save( $profile )
	{
		return saveConfig( $this->datafile, $profile );
	}

	function setUri( $encode_uri )
	{
		$this->datafile = $this->datadir . $encode_uri;
	}
}

?>
