<?php

$dir = dirname( __FILE__ ) . '/';
require_once( $dir . 'sqlite.inc.php' );
require_once( $dir . 'writer_db.inc.php' );

class DataWriter_SQLite extends DataWriter_DB
{
	var $db;
	var $uri;

	function DataWriter_SQLite( $datadir, $uri )
	{
		$this->db =& DB::connect( $datadir );
		if ( DB::isError( $this->db ) ) {
			exit ( $this->db->getMessage() );
		}
		$this->setUri( $uri );
	}

	function load()
	{
		return $this->loadItem();
	}

	function escapeArray( $data )
	{
		return array_map( array( $this->db, 'escapeSimple' ), $data );
	}
}

?>
