<h1><?php echo $page_title ?> 更新チェック実行、設定変更ページ</h1>
<div class="main">

<div class="menu">
<div class="move">
<h2>メニュー</h2>
<a href="<?php echo $top_page    ?>">一覧に戻る</a>
<a class="selectconf" href="<?php echo $config_page ?>">設定変更</a>
<a href="<?php echo $status_page ?>">ステータス一覧</a>
<a href="<?php echo $filter_page ?>">フィルタ編集</a>
<?php if ( $last ) : ?>
<div class="checkdate">最終チェック日時: <span class="date"><?php echo $last ?></span></div>
<?php endif ?>
</div>

<div class="submenu">
<h2>設定変更</h2>
<a class="<?php echo $class === ''  ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>">アイテムの追加、更新チェック</a>
<a class="<?php echo $class === 'c' ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>&amp;c=c">カテゴリ設定</a>
<a class="<?php echo $class === 'd' ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>&amp;c=d">表示・デフォルト値設定</a>
<a class="<?php echo $class === 'p' ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>&amp;c=p">ユーザ名・パスワード</a>
<a class="<?php echo $class === 'n' ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>&amp;c=n">Proxy 設定</a>
<a class="<?php echo $class === 'e' ? 'selectconf' : 'conf' ?>" href="<?php echo $self ?>&amp;c=e">コマンドパス</a>
</div>
</div>
<div class="list">
<?php if ( $message ) : ?><div class="info"><?php echo $message ?></div><?php endif ?>

<?php if ( $uri !== 'http://' || $class === '' ) : ?>
<h3>更新チェックアイテムの追加</h3>
<div class="set">
<div>追加したい URI を入力してください。</div>
<form action="<?php echo $self ?>" method="post">
 <div>
 <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
 <input class="textbox" type="text" tabindex="1" accesskey="a" name="additem" value="<?php echo $uri ?>" />
 <input class="button" type="submit" tabindex="2" value="追加" accesskey="i" />
 </div>
</form>
</div>
<?php endif ?>
<?php if ( $uri === 'http://' ) : ?>
<?php if ( $class === '' ) : ?>
<h3>更新チェック実行</h3>
<div class="set">
<form action="update.php" method="post">
 <div>
 <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
 <input type="submit" tabindex="3" name="update" value="更新チェック実行" accesskey="u" />
 </div>
</form>
</div>
<?php endif ?>
<?php if ( $class === 'd' ) : ?>
<h3>表示・デフォルト値設定</h3>
<p>表示設定、デフォルト値の設定を行います。</p>
<div class="set">
<form action="<?php echo $self ?>" method="post">
 <h4>タイトル</h4>
 <div class="set2">
  <div>上部に表示されるタイトルを変更できます。</div>
  <div><input class="textbox" type="text" tabindex="1" name="title" value="<?php echo $page_title ?>" /></div>
 </div>
 <h4>スタイル設定</h4>
 <div class="set2">
  <div>以下のスタイルが選択できます。</div>
  <div>
   <select name="css" tabindex="2">
<?php foreach ( $styles as $file => $name ) : ?>
    <option <?php echo $curcss === $file ? 'selected="selected" ' : '' ?>value="<?php echo $file ?>"><?php echo $name ?></option>
<?php endforeach ?>
   </select>
  </div>
 </div>
 <h4>表示する差分文字数(デフォルト値)</h4>
 <div class="set2">
  <div>更新内容の差分表示での最大表示文字数を設定できます。0 に設定すると差分内容を表示しません。</div>
  <div><input class="textbox" type="text" tabindex="3" name="diff_count" value="<?php echo $diff_count ?>" /></div>
 </div>
 <h4>表示期間(デフォルト値)</h4>
 <div class="set2">
  <div>対象のページが更新されてから、指定された期間を越えた項目を隠します。</div>
  <div>
  <select name="lim" tabindex="4">
   <option value="0"<?php   echo $limit === 0   ? ' selected="selected"' : '' ?>>無期限</option>
   <option value="1"<?php   echo $limit === 1   ? ' selected="selected"' : '' ?>>1時間</option>
   <option value="2"<?php   echo $limit === 2   ? ' selected="selected"' : '' ?>>2時間</option>
   <option value="4"<?php   echo $limit === 4   ? ' selected="selected"' : '' ?>>4時間</option>
   <option value="8"<?php   echo $limit === 8   ? ' selected="selected"' : '' ?>>8時間</option>
   <option value="16"<?php  echo $limit === 16  ? ' selected="selected"' : '' ?>>16時</option>
   <option value="24"<?php  echo $limit === 24  ? ' selected="selected"' : '' ?>>1日</option>
   <option value="48"<?php  echo $limit === 48  ? ' selected="selected"' : '' ?>>2日</option>
   <option value="96"<?php  echo $limit === 96  ? ' selected="selected"' : '' ?>>4日</option>
   <option value="168"<?php echo $limit === 168 ? ' selected="selected"' : '' ?>>1週間</option>
   <option value="336"<?php echo $limit === 336 ? ' selected="selected"' : '' ?>>2週間</option>
  </select>
  </div>
 </div>
 <h4>訪問後の項目(デフォルト値)</h4>
 <div class="set2">
  <div>対象のページを訪れた場合、対象のページが更新されるまで隠します。ログインしていない場合は項目は隠しません。</div>
  <div>
   <select name="vis" tabindex="5">
    <option value="">項目を隠さない</option>
    <option value="1" <?php echo $visit ? 'selected="selected"' : '' ?>>項目を隠す</option>
   </select>
  </div>
 </div>
 <div>
  <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
  <input type="submit" class="button" tabindex="6" name="defaultsetting" value="設定を保存" accesskey="k" />
 </div>
</form>
</div>
<?php endif // if ( $class === 'd' ) ?>
<?php if ( $class === 'c' ) : ?>
<form method="post" action="<?php echo $self ?>">
<h3>カテゴリの追加 :</h3>
<div class="set">
<div>分類を行うカテゴリを追加します。URI をカテゴリに所属させると、結果表示でカテゴリによるフィルタを行うことができます。</div>
<div>
  <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
  <input class="textbox" type="text" tabindex="6" name="name" value="" />
  <input class="button" type="submit" tabindex="7" name="addcategory" value="追加" />
</div>
</div>
</form>
<?php 	if ( $categories ) : ?>
<h3>カテゴリ一覧、削除 :</h3>
<div class="set">
 <div>登録済みカテゴリ一覧です。もし、間違ってカテゴリを登録した場合は削除してください。
      カテゴリを削除した場合、削除したカテゴリに含まれていた項目は「未分類」のカテゴリに移動します。</div>
 <table class="set2" summary="カテゴリ一覧・削除" cellpadding="0">
 <tbody>
<?php 		foreach ( $categories as $id => $category ) : ?>
 <tr>
 <td class="underline">
  <form method="post" action="<?php echo $self ?>">
   <div>
   <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
   <input type="hidden" name="id" value="<?php echo $id ?>" />
   <input type="text" size="30" name="name" value="<?php echo $category ?>" />
   <input type="submit" name="altercategory" value="変更" />
   <input type="submit" name="upcategory" value="上へ" />
   <input type="submit" name="downcategory" value="下へ" />
   </div>
  </form>
 </td>
 <td>
  <form method="post" action="<?php echo $self ?>">
   <div>
   <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
   <input type="hidden" name="id" value="<?php echo $id ?>" />
   <input type="submit" name="delcategory" value="削除" />
   </div>
  </form>
 </td>
 </tr>
<?php 		endforeach ?>
 </tbody>
 </table>
</div>
<?php 	endif // if ( $categories ) ?>
<?php endif // if ( $class === 'c' )?>
<?php if ( $class === 'p' ) : ?>
<h3>ユーザ名とパスワード</h3>
<div class="set">
<div>このページにアクセスするときに認証が必要な場合は設定してください。
     設定後、HTTP 認証を行わないと、このページにアクセスできなくなります。
     一度設定を行うと、設定ファイルを削除しない限り、認証に成功しないとこのページにはアクセスできませんので注意してください。</div>
<form method="post" action="<?php echo $self ?>">
 <table class="set2" summary="ユーザ名とパスワード設定">
  <tbody>
  <tr><td class="td">ユーザ名 :  </td><td><input class="textbox" type="text" name="user" value="<?php echo $user ?>" /></td></tr>
  <tr><td class="td">パスワード :</td><td><input class="textbox" type="password" name="pass1" value="" /></td></tr>
  <tr><td class="td">確認入力 :  </td><td><input class="textbox" type="password" name="pass2" value="" /></td></tr>
  <tr><td colspan="2" class="td">
       <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
       <input type="submit" name="chpass" value="ユーザ名とパスワードを変更" />
      </td></tr>
  </tbody>
</table>
</form>
</div>
<?php endif // if ( $class === 'p' ) ?>
<?php if ( $class === 'n' ) : ?>
<h3>Proxy 設定</h3>
<div class="set">
<form method="post" action="<?php echo $self ?>">
 <div><input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" /></div>
 <div>Proxy サーバの設定が必要な場合は「Proxy を使用」にチェックを入れ、Proxy サーバの設定を行ってください。
      Proxy サーバの設定は、「Proxy サーバのホスト名:ポート番号」で入力してください。例: proxy.example.com:8080</div>
 <table class="set2" summary="Proxy 設定">
  <tbody>
  <tr><td class="td">Proxy を使用 :</td>
      <td><input type="checkbox" name="use_proxy" value="1" <?php echo $use_proxy ? 'checked="checked" ' : '' ?>/></td></tr>
  <tr><td class="td">Proxy サーバ :</td>
      <td><input class="textbox" type="text" name="proxy" value="<?php echo $proxy ?>" /></td></tr>
  <tr><td></td>
      <td class="td"><input type="submit" name="setproxy" value="設定を保存" /></td></tr>
  </tbody>
 </table>
</form>
</div>
<?php endif // if ( $class === 'n' ) ?>
<?php if ( $class === 'e' ) : ?>
<h3>コマンドパス設定</h3>
<div class="set">
<form method="post" action="<?php echo $self ?>">
 <h4>コマンドライン(CLI)版 PHP パス</h4>
 <div class="set2">
  <div>更新チェック時に使用するコマンドライン(CLI)版の PHP のパスをを指定して下さい。</div>
  <div>例: <code>/usr/local/bin/php</code></div>
  <div><input class="textbox" type="text" tabindex="1" name="php_command" value="<?php echo $php_cli ?>" /></div>
 </div>
 <h4>diff コマンドパス</h4>
 <div class="set2">
  <div>diff コマンドが使用できる場合はそのパスを指定して下さい。差分取得が速くなります。</div>
  <div>例: <code>/usr/bin/diff</code></div>
  <div><input class="textbox" type="text" tabindex="2" name="diff_command" value="<?php echo $diff_comm ?>" /></div>
 </div>
 <div>
  <input type="hidden" name="uniq_id" value="<?php echo $uniq_id ?>" />
  <input class="button" type="submit" tabindex="3" name="commandpath" value="設定を保存" />
 </div>
</form>
</div>
<?php endif // if ( $class= 'e' ) ?>
<?php endif ?>
</div>
</div>
