<?php

$conf =& Config::getInstance();
$cate =& Category::getInstance();
$get  =& Request::getInstance( '_GET' );

if ( ! is_dir( ITEM_DIR ) ) { @mkdir( ITEM_DIR, 0707 ); }
if ( ! is_dir( LOG_DIR  ) ) { @mkdir( LOG_DIR,  0707 ); }
if ( ! is_dir( TEMP_DIR ) ) { @mkdir( TEMP_DIR, 0707 ); }

$serv =& Request::getInstance( '_SERVER' );

$self  = $serv->get( 'PHP_SELF' );

$top_page    = $self;
$filter_page = $self . '?mode=filter';
$status_page = $self . '?mode=status';
$config_page = $self . '?mode=config';

$self  = $config_page;
$user  = $conf->isAuth() ? htmlspecialchars( $conf->get( 'user' ) ) : '';

$class = $get->get( 'c',    '' );
$link  = $get->get( 'link', '' );
$uri   = ( $link && Validate::isUri( $link ) ) ? htmlspecialchars( $link ) : 'http://';
$last  = $conf->get( 'last-modified' ) ? date( "Y/m/d H:i:s", $conf->get( 'last-modified' ) ) : '';

$page_title = htmlspecialchars( $page_title );
$proxy      = htmlspecialchars( $conf->get( 'proxy' ) );
$use_proxy  = (bool)$conf->get( 'use-proxy' );
$diff_count = (int)$conf->get( 'diff_count' );
$diff_comm  = htmlspecialchars( $conf->get( 'diff_command' ) );
$php_cli    = htmlspecialchars( $conf->get( 'php_command' ) );
$categories = array_map( 'htmlspecialchars', $cate->get() );
$message    = htmlspecialchars( $message );

if ( $class === 'd' ) {
	$styles = array();
	$curcss = $conf->get( 'css' );
	foreach ( glob( SELF_DIR . 'css/*.css' ) as $file ) {
		$title = '';
		if ( preg_match( '/^title:(.*)$/um', file_get_contents( $file ), $m ) ) {
			$title = $m[1];
		}
		$filename = basename( $file, '.css' );
		$styles[$filename] = htmlspecialchars( $title . ' <' . $filename . '>' ) ;
	}
	$limit = $conf->get( 'lim', 24 );
	$visit = $conf->get( 'vis', TRUE );
}

?>
