<?php

$conf =& Config::getInstance();
$cate =& Category::getInstance();
$get  =& Request::getInstance( '_GET' );
$self  = $serv->get( 'PHP_SELF' );

$top_page     = $self;
$filter_page  = $self . '?mode=filter';
$status_page  = $self . '?mode=status';
$config_page  = $self . '?mode=config';
$setting_page = $self . '?mode=setting&amp;uri=';

$self  = $config_page;
$last  = $conf->get( 'last-modified' ) ? date( "Y/m/d H:i:s", $conf->get( 'last-modified' ) ) : '';

$items = array();
foreach ( $data as $key => $info ) {
	$last_m = isset( $info['last_modified'] ) ? (int)$info['last_modified'] : 0;
	$last_v = isset( $info['last_visit']    ) ? (int)$info['last_visit']    : 0;
	$last_c = isset( $info['last_check']    ) ? (int)$info['last_check']    : 0;
	$count  = isset( $info['count']         ) ? (int)$info['count']         : 0;
	$status = isset( $info['status']        ) ? $info['status']             : 'OK';

	$items[] = array(
		'title' => htmlspecialchars( $info['title'] ),
		'uri'   => rawurlencode( $info['uri'] ),
		'check' => date( "m/d H:i", $last_c ),
		'lflag' => date( 'mdHi',    $last_m ),
		'date'  => ( $last_m ? date( 'Y/m/d',   $last_m ) : '----/--/--' ),
		'count' => $count,
		'stat'  => htmlspecialchars( $status ),
	);
}
unset( $data );

?>
