<?php

class Https extends Http
{
	var $ssl;

	function Https()
	{
		$this->Http();
		$this->ssl = extension_loaded( 'openssl' );

		if ( ! $this->ssl ) {
			$this->status = 'NOT_ENABLE_SSL';
		}
	}

	function setProxy( $proxy )
	{
		if ( $proxy ) {
			$this->status = 'NOT_SSL_VIA_PROXY';
		}
		return FALSE;
	}

	function checkPathInfo( $pathinfo )
	{
		if ( ! $pathinfo ) {
			$this->status = 'FATAL_ERROR';
			return FALSE;
		}
		$info['scheme'] = 'ssl://';
		$info['host']   = $pathinfo['host'];
		$info['port']   = ! empty( $pathinfo['port']  ) ?  (int)$pathinfo['port']  : 443;
		$info['path']   = ! empty( $pathinfo['path']  ) ?       $pathinfo['path']  : '/';
		$info['path']  .= ! empty( $pathinfo['query'] ) ? '?' . $pathinfo['query'] : '';
		$info['user']   = ! empty( $pathinfo['user']  ) ?       $pathinfo['user']  : '';
		$info['pass']   = ! empty( $pathinfo['pass']  ) ?       $pathinfo['pass']  : '';

		if ( ! $this->isValidHost( $info['host'] ) ) {
			return FALSE;
		}
		return $info;
	}
}

?>
