<?php

class DataWriter_DB
{
	function delete()
	{
		$db =& $this->db;
		$db->query( 'BEGIN' );
		$db->query( "DELETE FROM wwwcheck WHERE uri = '" . $this->uri . "'" );

		$result = $db->affectedRows();
		if ( $result !== 1 ) {
			$db->query( 'ROLLBACK' );
			return FALSE;
		}
		$db->query( 'COMMIT' );
		return TRUE;
	}

	function loadItem()
	{
		return $this->db->getAssoc( "SELECT * FROM wwwcheck WHERE uri = '" . $this->uri . "'" );
	}

	function move( $encode_uri )
	{
		$db  =& $this->db;
		$uniq = $db->escapeSimple( uniqid( rand(), TRUE ) );
		$uri  = $db->escapeSimple( urldecode( $encode_uri ) );

		$db->query( 'BEGIN' );
		$db->query( "UPDATE wwwcheck SET uri = '" . $uniq . "' WHERE uri = '" . $this->uri . "';" );
		$db->query( "UPDATE wwwcheck SET uri = '" . $uri  . "' WHERE uri = '" . $uniq      . "';" );

		$result = $db->affectedRows();
		if ( $result !== 1 ) {
			$db->query( 'ROLLBACK' );
			return FALSE;
		}
		$db->query( 'COMMIT' );
		return TRUE;
	}

	function save( $data )
	{
		$db  =& $this->db;
		$data = $this->escapeArray( $data );

		$db->query( 'BEGIN' );
		$result = $db->getOne( "SELECT uri FROM wwwcheck WHERE uri = '" . $data['uri'] . "'" );
		if ( ! $result ) {
			$db->query( "INSERT INTO wwwcheck ( uri ) VALUES ( '" . $data['uri'] . "' )" );

			$result = $db->affectedRows();
			if ( $result !== 1 ) {
				$db->query( 'ROLLBACK' );
				return FALSE;
			}
		}
		$db->query(
			"UPDATE wwwcheck SET
				category      = '" . (   isset( $data['category']      ) ? $data['category']      : '' ) . "',
				charset       = '" . ( ! empty( $data['charset']       ) ? $data['charset']       : '' ) . "',
				count         = "  . ( ! empty( $data['count']         ) ? $data['count']         :  0 ) . ",
				diff          = '" . (   isset( $data['diff']          ) ? $data['diff']          : '' ) . "',
				encoding      = '" . (   isset( $data['encoding']      ) ? $data['encoding']      : '' ) . "',
				error         = '" . (   isset( $data['error']         ) ? $data['error']         : '' ) . "',
				header        = '" . (   isset( $data['header']        ) ? $data['header']        : '' ) . "',
				last_check    = "  . ( ! empty( $data['last_check']    ) ? $data['last_check']    :  0 ) . ",
				last_modified = "  . ( ! empty( $data['last_modified'] ) ? $data['last_modified'] :  0 ) . ",
				last_visit    = "  . ( ! empty( $data['last_visit']    ) ? $data['last_visit']    :  0 ) . ",
				open_uri      = '" . (   isset( $data['open_uri']      ) ? $data['open_uri']      : '' ) . "',
				size          = "  . ( ! empty( $data['size']          ) ? $data['size']          :  0 ) . ",
				status        = '" . (   isset( $data['status']        ) ? $data['status']        : '' ) . "',
				title         = '" . (   isset( $data['title']         ) ? $data['title']         : '' ) . "',
				uri           = '" . (   isset( $data['uri']           ) ? $data['uri']           : '' ) . "'
			WHERE uri = '" . $this->uri . "'"
		);
		$result = $db->affectedRows();
		if ( $result !== 1 ) {
			$db->query( 'ROLLBACK' );
			return FALSE;
		}
		$db->query( 'COMMIT' );
		return TRUE;
	}

	function setUri( $encode_uri )
	{
		$this->uri = $this->db->escapeSimple( urldecode( $encode_uri ) );
	}
}

?>
