<?php

class View
{
	var $table;

	function View()
	{
		$this->table = array();
	}

	function addItems( $uris = '' )
	{
		$conf =& Config::getInstance();
		$get  =& Request::getInstance( '_GET' );
		if ( $get->get( 'lim' ) === FALSE ) {
			$get->set( 'lim', $conf->get( 'lim' ) );
		}
		$visit = FALSE;
		if ( PHP_SAPI !== 'cli' ) {
			$conf =& Config::getInstance();
			$visit = $conf->isAuth()
				? ( $get->get( 'sort' ) ? ( $get->get( 'vis' ) ? TRUE : FALSE ) : $conf->get( 'vis' ) )
				: FALSE;
		}
		$get->set( 'vis', $visit );

		$obj =& Data::getReader( SAVE_HANDLE );
		if ( $obj ) {
			$this->table = $obj->getItems( $uris );
		}
		return $this->table ? TRUE : FALSE;
	}

	function display( $type = '' )
	{
		$enc       =& Encodings::getInstance();
		$page_enc   = $enc->getCharset();

		$get       =& Request::getInstance( '_GET' );
		$conf      =& Config::getInstance();
		$auth       = $conf->isAuth();
		$page_title = $conf->get( 'title', TOOL_NAME );
		$mess_lang  = $conf->get( 'message_lang' );
		$uniq_id    = $conf->get( 'uniq_id', '' );
		$data       = $this->table;

		$message    = '';
		if ( $get->get( 'mid' ) ) {
			$message = $conf->get( 'mid' ) === $get->get( 'mid' ) ? $conf->get( 'message' ) : '';
			$get->delete( 'mid' );
		}
		unset( $this->table );

		if ( ! $type ) {
			$type = PHP_SAPI;
		}
		if ( ! is_readable( VIEW_DIR . 'view_' . $type . ".tpl.php" ) ) {
			$type = 'default';
		}
		include( VIEW_DIR . 'parts_header.tpl.php' );
		include( VIEW_DIR . 'view_' . $type . ".tpl.php" );
		include( VIEW_DIR . $mess_lang . '/view_' . $type . ".tpl.php" );
		include( VIEW_DIR . 'parts_footer.tpl.php' );
	}
}

?>
