<?php
// DEBUG

/*
$path = dirname( __FILE__ ) . '/';
require_once( $path . '../../init.inc.php' );
require_once( LIB_DIR .'command.inc.php' );
*/

class DebugItem extends Item
{
	function resetDiff()
	{
		$diff = ( is_readable( $this->log_file ) && is_readable( $this->log_file . ".1" ) )
			? Command::diffFile( $this->log_file . ".1", $this->log_file )
			: '';

		$this->profile['diff'] = $diff;
		$this->saveProperties();
	}
}

function reset_diff()
{
	$reader =& Data::getReader( SAVE_HANDLE, $dummy = '' );
	$uris = $reader->getList();

	foreach ( $uris as $uri ) {
		$item =& new DebugItem( $uri );
		$item->resetDiff();
		unset( $item );
	}
}

?>
