<?php

// default setting
$message_lang  = 'ja';
$css_file      = 'default';

// (uni|English|Japanese) : see mb_language()
$mb_encoding   = 'uni';

// encoding detect order
$mb_enc_order  = 'ASCII, JIS, UTF-8, EUC-JP, eucJP-win, SJIS, SJIS-win, ISO-8859-1';

// output encoding
$mb_output_enc = 'UTF-8';

// HTTP Header : Accept-Language
$accept_lang   = 'ja';

if ( ! @touch( $conf_file ) ) {
	include( VIEW_DIR . 'error_config.tpl.php' );
	exit;
}

$conf =& Config::getInstance( $conf_file );

$conf->set( 'title',           TOOL_NAME      );
$conf->set( 'diff_count',      200            );
$conf->set( 'message_lang',    $message_lang  );
$conf->set( 'css',             $css_file      );
$conf->set( 'net_accept_lang', $message_lang  );
$conf->set( 'mb_encoding',     $mb_encoding   );
$conf->set( 'mb_enc_order',    $mb_enc_order  );
$conf->set( 'mb_output_enc',   $mb_output_enc );

$conf->save();

if ( PHP_SAPI !== 'cli' ) {
	$_GET['mode'] = 'config';
}

?>
