<h1><?php echo $page_title ?> ステータス一覧</h1>

<div class="main">

<div class="menu">
<h2>メニュー</h2>
<a href="<?php echo $top_page    ?>">一覧に戻る</a>
<a href="<?php echo $config_page ?>">設定変更</a>
<a class="selectconf" href="<?php echo $status_page ?>">ステータス一覧</a>
<a href="<?php echo $filter_page ?>">フィルタ編集</a>
<?php if ( $last ) : ?>
<div class="checkdate">最終チェック日時: <span class="date"><?php echo $last ?></span></div>
<?php endif ?>
</div>

<div class="list">

<?php if ( $items ) : ?>
<table class="filter_table" summary="ステータスコード表示">
<caption>アイテムステータス一覧</caption>
<thead>
 <th>ステータスコード</th>
 <th>設定画面へのリンク</th>
 <th>チェック日時</th>
 <th>更新日時</th>
</thead>
<tbody>
<?php 	foreach ( $items as $item ) : ?>
<tr>
 <td>
<?php 		if ( $item['stat'] === 'OK' || $item['stat'] === 'Not Modified' ) : ?>
  <code class="opt"><?php echo $item['stat'] ?></code>
<?php 		else : ?>
  <code class="opt"><strong><?php echo $item['stat'] ?></strong></code>
<?php 		endif ?>
 </td>
 <td><a class="conf" title="<?php echo $item['title'] ?> 設定" href="<?php echo $setting_page . $item['uri'] ?>"><?php echo $item['title'] ?></a></td>
 <td><span class="date"><?php echo $item['check'] ?></span></td>
 <td><span class="date"><?php echo $item['date']  ?></span></td>
</tr>
<?php 	endforeach ?>
</table>
<?php else : ?>
<div class="info">項目がありません。</div>
<?php endif ?>

</div>
</div>
