<?php 

$get  =& Request::getInstance( '_GET' );
$post =& Request::getInstance( '_POST' );
$serv =& Request::getInstance( '_SERVER' );
$fil  =& Filters::getInstance();
$self  = $serv->get( 'PHP_SELF' );

$top_page    = $self;
$filter_page = $self . '?mode=filter';
$status_page = $self . '?mode=status';
$config_page = $self . '?mode=config';
$test_page   = $self . '?mode=filter&amp;test=';

$view    = '';
$uri     = '';
$from    = '';
if ( $get->is_set( 'test' ) ) {
	$uri  = $get->get( 'test', '' );
	$from = $post->get( 'from' );
	if ( $from ) {
		$result = $fil->test( $uri, $from );
	}
	$view = 'test';
}

$raw_uri = $uri;
$uri     = htmlspecialchars( $raw_uri );
$from    = htmlspecialchars( $from );
$message = htmlspecialchars( $message );
$link    = htmlspecialchars( $get->get( 'link', '' ) );

$filters = $fil->getRawFilters();
if ( $view === 'test' ) {
	$test_result = ! empty( $result ) ? nl2br( $result ) : '';
	$test_result = preg_replace( '/^(\s+)/me', 'str_repeat( "&nbsp;", strlen("\\1") );', $test_result );

	$apply_filters = isset( $filters[$raw_uri] ) ? $filters[$raw_uri] : array();
	$apply_filters = array_map( 'htmlspecialchars', $apply_filters );
}

$new_filters = array();
foreach ( $filters as $pattern => $filter ) {
	$new_filters[] = array(
		'count'       => count( $filter ),
		'escaped_uri' => htmlspecialchars( $pattern ),
		'encoded_uri' => rawurlencode( $pattern ),
		'filters'     => array_map( 'htmlspecialchars', $filter ),
	);
}
$filters = $new_filters;
unset( $new_filters, $raw_uri, $fil );

?>
